using Newtonsoft.Json;

namespace FitConnect.Models;

public class EncryptedSubmission {
    public EncryptedSubmission(string destinationId, string serviceName, string leikaKey,
        string data, string metadata, Dictionary<string, string> attachments) {
        DestinationId = destinationId;
        ServiceName = serviceName;
        LeikaKey = leikaKey;
        Data = data;
        Metadata = metadata;
        Attachments = attachments;
    }

    [JsonProperty("destinationId")]
    public string DestinationId { get; init; }

    [JsonProperty("serviceName")]
    public string ServiceName { get; init; }

    [JsonProperty("leikaKey")]
    public string LeikaKey { get; init; }

    [JsonProperty("data")]
    public string Data { get; init; }

    [JsonProperty("metadata")]
    public string Metadata { get; init; }

    [JsonProperty("attachments")]
    public Dictionary<string, string> Attachments { get; init; }

    public void Deconstruct(out string destinationId, out string serviceName, out string leikaKey,
        out string data, out string metadata, out Dictionary<string, string> attachments) {
        destinationId = DestinationId;
        serviceName = ServiceName;
        leikaKey = LeikaKey;
        data = Data;
        metadata = Metadata;
        attachments = Attachments;
    }
}
